Subject: bug#13602: 24.3.50; remove bindings for `icomplete-minibuffer-map' - make a separate mode

From: Jambunathan K <[email-masked]>
Date: Sun, 10 Feb 2013 09:45:38 +0530

Stefan Monnier <[email-masked]> writes:

>> How about C-S-s and C-S-r?  I just need to have Shift key depressed,
>> which is fine with me.
>
>>     (define-key map [?\C-\S-s]  'icomplete-forward-completions)
>>     (define-key map [?\C-\S-r]  'icomplete-backward-completions)
>
> I'm not very much in favor:
> - in my environment, C-S-r works but C-S-s is not received by Emacs
>   (maybe XFCE catches it?).
> - it won't work in ttys.
> - I find it cumbersome to type.
> None of them are deal breakers.

We seem to be settling on C-left and C-right.

That said, how about

     C-, and C-. (C-< and C->)

No need to move away from Home Row and the less/greater symbols can
serve as directional cues for rote learning.

>         Stefan